Your submission was sent successfully! Close

You have successfully unsubscribed! Close

Thank you for signing up for our newsletter!
In these regular emails you will find the latest updates about Ubuntu and upcoming events where you can meet our team.Close

CVE-2023-2610

Published: 9 May 2023

Integer Overflow or Wraparound in GitHub repository vim/vim prior to 9.0.1532.

Priority

Medium

Cvss 3 Severity Score

7.8

Score breakdown

Status

Package Release Status
vim
Launchpad, Ubuntu, Debian
bionic
Released (2:8.0.1453-1ubuntu1.13+esm1)
Available with Ubuntu Pro or Ubuntu Pro (Infra-only)
focal
Released (2:8.1.2269-1ubuntu5.15)
jammy
Released (2:8.2.3995-1ubuntu2.8)
upstream
Released (9.0.1532)
kinetic
Released (2:9.0.0242-1ubuntu1.4)
lunar
Released (2:9.0.1000-4ubuntu3.1)
trusty
Released (2:7.4.052-1ubuntu3.1+esm10)
Available with Ubuntu Pro or Ubuntu Pro (Infra-only)
xenial
Released (2:7.4.1689-3ubuntu1.5+esm18)
Available with Ubuntu Pro or Ubuntu Pro (Infra-only)
Patches:
upstream: https://github.com/vim/vim/commit/ab9a2d884b3a4abe319606ea95a5a6d6b01cd73a

Severity score breakdown

Parameter Value
Base score 7.8
Attack vector Local
Attack complexity Low
Privileges required None
User interaction Required
Scope Unchanged
Confidentiality High
Integrity impact High
Availability impact High
Vector CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H